## acme-wrapper 0.10.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL := /bin/bash
 PACKAGE := acme-wrapper
 VERSION := $(shell cat $(CURDIR)/VERSION)
-CURRENT_COMMIT_DATE := $(shell git show --format="%cI" --no-patch HEAD)
+CURRENT_COMMIT_DATE = $(shell git show --format="%cI" --no-patch HEAD)
 
 all:
 	@echo "done"
@@ -49,3 +49,10 @@
 		-cjf $(PACKAGE)_$(VERSION).tar.bz2 \
 		$(PACKAGE)_$(VERSION)/
 	rm -Rf $(CURDIR)/$(PACKAGE)_$(VERSION)
+
+.PHONY: test
+test: test/acme-wrapper.tar.bz2
+	VERSION=$(VERSION) $(MAKE) --warn-undefined-variables -C test test
+
+test/acme-wrapper.tar.bz2: acme-wrapper_$(VERSION).tar.bz2
+	cp $< $@
