=== debian/changelog ===
acme-wrapper (1.0.3) unstable; urgency=medium

  * FIX: docker tests cannot parse version with '+'

 -- Max-Julian Pogner <max-julian@pogner.at>  Mon, 03 Mar 2025 11:22:38 +0100
